Skip to navigation

Create a new Kubernetes cluster

Creates a new Kubernetes cluster for the authenticated account. To preview pricing without creating anything, use POST /kubernetes/cost-estimate.

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Request

This endpoint expects an object.
namestringRequired
Name of the cluster
packagestringRequired
Package label to use for the cluster
regionstringRequired
Region where to deploy the cluster
versionstringRequired

Kubernetes version to use (semantic version)

controlNodesdoubleRequired
Number of control plane nodes
workerNodesdoubleRequired
Number of worker nodes
descriptionstringOptional
Description of the cluster
networkIdstringOptionalformat: "uuid"
Network ID to use for the cluster
keypairstringOptional
SSH keypair name to use for cluster nodes

Response

The cluster has been successfully created
idstringformat: "uuid"
Unique identifier for the cluster.
namestring

Human-readable name for the cluster.

regionstring
Region the cluster is deployed in.
statusstring
Current lifecycle state of the cluster.
kubernetesVersionstring
Kubernetes version the cluster is running.
createdAtdatetime
When the cluster was created.
packagestring

Package label describing the per-node CPU/memory/disk preset.

descriptionstring
Description of the cluster.
nodePoolobject

Node-pool configuration for the cluster.

ipAddressstringOptionalformat: "ipv4"
Public IP address attached to the cluster.
ipAddressIdstringOptionalformat: "uuid"
Identifier of the public IP attached to the cluster.
deletedAtdatetimeOptional
When the cluster was deleted. Omitted if the cluster still exists.
nodeslist of objectsOptional

Cluster nodes. Only included when details=true.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error